<?php
/**
 * Preconfigured settings class for the width settings.
 *
 * @package Mateo
 */

namespace Mateo;

use WP_Customize_Setting;
use WP_Error;
use WP_Customize_Manager;

/**
 * Class Width_Customize_Settings.
 *
 * @package Mateo
 */
class Width_Customize_Settings extends Slider_Customize_Settings {

	/**
	 * Any supplied $args override class property defaults.
	 *
	 * @param WP_Customize_Manager $manager Customizer bootstrap instance.
	 * @param string               $id      A specific ID of the setting.
	 *                                      Can be a theme mod or option name.
	 * @param array                $args    Optional. Array of properties for the new Setting object. Default empty array.
	 */
	public function __construct( $manager, $id, $args = array() ) {
		$this->transport = 'postMessage';
		$this->default   = MATEO_MAX_CONTENT_WIDTH;
		$this->min       = 768;
		$this->max       = 1920;
		parent::__construct( $manager, $id, $args );
	}
}
